## python-meshplex 0.15.8

=== debian/changelog ===
python-meshplex (0.15.8-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 15 Feb 2021 23:48:46 +0100

python-meshplex (0.15.7-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch test_mesh_tri_skip_uint32.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 08 Jan 2021 00:27:48 +1100

python-meshplex (0.15.5-2) unstable; urgency=medium

  * debian patch test_mesh_tri_skip_uint32.patch skips
    test_unit_triangle[uint32] on 32-bit systems
    (gets cast to int32 which is not safe)

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Dec 2020 09:22:48 +0800

python-meshplex (0.15.5-1) unstable; urgency=medium

  * New upstream release
    - fixes 32-bit and edge tests. Closes: #975470.
  * Build-Depends: python3-pytest to run build-time tests
    - skip test_io at build-time since it's patched to use dmsh

 -- Drew Parsons <dparsons@debian.org>  Tue, 08 Dec 2020 23:02:16 +0800

python-meshplex (0.15.4-1) unstable; urgency=medium

  * new upstream release
    - fixes 32-bit tests: drop debian patches skip_flip_i386.patch and
      test_mesh_tri_32bit.patch
  * python3-meshplex Breaks: python-dmsh (<< 0.2.9)

 -- Drew Parsons <dparsons@debian.org>  Mon, 07 Dec 2020 18:47:55 +0800

python-meshplex (0.15.3-3) unstable; urgency=medium

  * debian/tests versioned Depends: python3-dmsh (>= 0.2.9~)

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Nov 2020 13:25:08 +0800

python-meshplex (0.15.3-2) unstable; urgency=medium

  * debian patch test_mesh_tri_32bit.patch uses numpy.int32 with
    test_unit_triangle on 32-bit systems, not numpy.int64.
    Addresses: #975470.

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Nov 2020 14:23:24 +0800

python-meshplex (0.15.3-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Nov 2020 18:37:11 +0800

python-meshplex (0.15.2-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 12 Nov 2020 23:23:58 +0800

python-meshplex (0.14.0-1) unstable; urgency=medium

  * New upstream release.
  * debian patch test_no_exdown.patch skips test_readme.py, since the
    exdown module is not available.

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Nov 2020 00:48:12 +0800

python-meshplex (0.13.4-2) unstable; urgency=medium

  * debian patch skip_flip_i386.patch skips test_flip_two_edges in
    mesh_tri_test.py on i386 (buggy on i386). See upstream Issue #78.
  * mark python-meshplex-doc as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Oct 2020 16:18:39 +0800

python-meshplex (0.13.4-1) unstable; urgency=medium

  * New upstream release.
  * python3-meshplex Suggests: python-meshplex-doc

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Oct 2020 00:06:34 +0800

python-meshplex (0.13.2+git-1) unstable; urgency=medium

  * Initial release (Closes: #968844)
  * add debian patches
    - setup_python.patch adds setup.py to build the package
      (pybuild is not smart enough to handle pyproject.toml)
    - test_io_dmsh_not_meshzoo.patch uses dmsh instead of meshzoo to
      construct test rectangle (meshzoo is not available).
  * debian/README.source documents how to access upstream LFS objects
    when importing upstream source tarballs.
  * list LFS files in debian/source/include-binaries
  * forkme*.png image for docs is installed locally

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Aug 2020 17:22:30 +0800

## python-meshplex 0.15.13

=== Makefile ===
VERSION=$(shell python3 -c "from configparser import ConfigParser; p = ConfigParser(); p.read('setup.cfg'); print(p['metadata']['version'])")

default:
	@echo "\"make publish\"?"

tag:
	# Make sure we're on the main branch
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "main" ]; then exit 1; fi
	curl -H "Authorization: token `cat $(HOME)/.github-access-token`" -d '{"tag_name": "v$(VERSION)"}' https://api.github.com/repos/nschloe/meshplex/releases

upload: clean
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "main" ]; then exit 1; fi
	# https://stackoverflow.com/a/58756491/353337
	python3 -m build --sdist --wheel .
	twine upload dist/*

publish: tag upload

clean:
	@find . | grep -E "(__pycache__|\.pyc|\.pyo$\)" | xargs rm -rf
	@rm -rf *.egg-info/ build/ dist/ MANIFEST .pytest_cache .tox/

format:
	isort .
	black .
	blacken-docs README.md

lint:
	black --check .
	flake8 .

.PHONY: doc

doc:
	sphinx-build -M html docs/ build/

=== debian/changelog ===
python-meshplex (0.15.13-1) unstable; urgency=medium

  * New upstream release
    - fixes edge flips

 -- Drew Parsons <dparsons@debian.org>  Tue, 16 Mar 2021 11:41:20 +0100

python-meshplex (0.15.12-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 01 Mar 2021 17:52:32 +0100

=== debian/control ===
Source: python-meshplex
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-setuptools (>= 42~),
 python3-sphinx,
 python3-wheel,
 python3-all,
 python3-matplotlib,
 python3-meshio (>= 4~), python3-meshio (<< 5),
 python3-numpy (>= 1.9~),
 python3-pytest,
 python3-scipy,
 libjs-mathjax
Standards-Version: 4.5.1
Homepage: https://github.com/nschloe/meshplex
Vcs-Browser: https://salsa.debian.org/science-team/python-meshplex
Vcs-Git: https://salsa.debian.org/science-team/python-meshplex.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-meshplex
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-meshplex-doc
Breaks: python-dmsh (<< 0.2.9)
Description: fast tools for simplex meshes (Python 3)
 Compute all sorts of interesting points, areas, and volumes in
 triangular and tetrahedral meshes, with a focus on efficiency. Useful
 in many contexts, e.g., finite-element and finite-volume
 computations.
 .
 This package installs the library for Python 3.

Package: python-meshplex-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-mathjax,
 ${sphinxdoc:Depends}, ${misc:Depends}
Description: fast tools for simplex meshes (documentation)
 Compute all sorts of interesting points, areas, and volumes in
 triangular and tetrahedral meshes, with a focus on efficiency. Useful
 in many contexts, e.g., finite-element and finite-volume
 computations.
 .
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=meshplex

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -M html docs/ .pybuild/docs

override_dh_auto_test:
	for testdir in .pybuild/*/build/test; do ln -s $(CURDIR)/test/meshes $$testdir/meshes; done
	MPLBACKEND=Agg  dh_auto_test -- --test-args="--ignore-glob=*test_io*"

override_dh_sphinxdoc-indep:
	dh_sphinxdoc -i
	grep "https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js" debian/python-meshplex-doc/usr/share/doc/python-meshplex-doc/* -r --files-with-matches | xargs sed "s|src=\"https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js|src=\"file://usr/share/javascript/mathjax/unpacked/latest.js|g" -i
	grep "https://s3.amazonaws.com/github/ribbons/forkme_right_darkblue_121621.png" debian/python-meshplex-doc/usr/share/doc/python-meshplex-doc/* -r --files-with-matches | xargs sed "s|src=\"https://s3.amazonaws.com/github/ribbons/forkme_right_darkblue_121621.png|src=\"_static/forkme_right_darkblue_121621.png|g" -i

=== debian/tests/control ===
Test-Command: MPLBACKEND=Agg pytest-3
Depends: python3-meshplex,
 python3-dmsh (>= 0.2.9~),
 python3-matplotlib,
 python3-numpy,
 python3-pytest

## python-meshplex 0.17.0

=== debian/changelog ===
python-meshplex (0.17.0-2) unstable; urgency=medium

  * python3-meshplex Depends: python3-scipy (used by MeshTri)

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Jan 2022 18:05:18 +0100

python-meshplex (0.17.0-1) unstable; urgency=medium

  * New upstream release.
    - deprecates debian patch test_no_exdown.patch
    - test dir updated to "tests"
    - Build-Depends: python3-npx, python3-numpy (>= 1.20.0~)
    - bumps upper Build-Depends: python3-meshio (<< 6).
      Closes: #998577.
  * update debian/README.source
    - upstream tags no longer prefixed with v
  * don't patch mathjax references if there aren't any.
    Remove forkme*.png privacy handling in docs.
    Closes: #997756.
  * Standards-Version: 4.6.0
  * use default python build for docs
  * don't link meshes for dh_auto_test (test/meshes already copied)
  * drop debian patch test_io_dmsh_not_meshzoo.patch
    - Build-Depends: python3-meshzoo. Also debian/test Depends.
    - drop Build-Depends: python3-dmsh. Also for debian/test.
  * add debian patch test_relax_tolerance.patch to relax tolerances in
    test_mesh_tri.py
  * clean autogenerated src/meshplex.egg-info
  * build docs after dh_auto_build-indep instead of override_
  * debian patch docs_local_mathjax.patch uses local libjs-mathjax
    for docs. Closes: #997756.
  * Build-Depends: pybuild-plugin-pyproject, flit
    - drop debian patch setup_python.patch

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Jan 2022 13:18:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,21 @@
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
+ flit,
+ pybuild-plugin-pyproject,
  python3-setuptools (>= 42~),
  python3-sphinx,
  python3-wheel,
  python3-all,
  python3-matplotlib,
- python3-meshio (>= 4~), python3-meshio (<< 5),
- python3-numpy (>= 1.9~),
+ python3-meshio (>= 4~), python3-meshio (<< 6),
+ python3-meshzoo,
+ python3-numpy (>= 1.20.0~),
+ python3-npx,
  python3-pytest,
  python3-scipy,
  libjs-mathjax
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/nschloe/meshplex
 Vcs-Browser: https://salsa.debian.org/science-team/python-meshplex
 Vcs-Git: https://salsa.debian.org/science-team/python-meshplex.git
@@ -24,7 +28,8 @@
 
 Package: python3-meshplex
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${misc:Depends},
+ python3-scipy
 Suggests: python-meshplex-doc
 Breaks: python-dmsh (<< 0.2.9)
 Description: fast tools for simplex meshes (Python 3)
@@ -39,8 +44,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: libjs-mathjax,
- ${sphinxdoc:Depends}, ${misc:Depends}
+Depends: ${sphinxdoc:Depends}, ${misc:Depends}, libjs-mathjax
 Description: fast tools for simplex meshes (documentation)
  Compute all sorts of interesting points, areas, and volumes in
  triangular and tetrahedral meshes, with a focus on efficiency. Useful

=== debian/tests/control ===
Test-Command: MPLBACKEND=Agg pytest-3
Depends: python3-meshplex,
 python3-matplotlib,
 python3-meshzoo,
 python3-numpy,
 python3-pytest

## python-meshplex 0.17.1

=== debian/changelog ===
python-meshplex (0.17.1-5) unstable; urgency=medium

  * debian patch numpy_deprecated.patch replaces deprecated np.Inf
    with np.inf.
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 May 2025 01:36:04 +0200

python-meshplex (0.17.1-4) unstable; urgency=medium

  * Team upload.
  * Add disable-test-remove-cells-boundary.patch. Closes: #1081876.

 -- Santiago Vila <sanvila@debian.org>  Mon, 25 Nov 2024 21:40:00 +0100

python-meshplex (0.17.1-3) unstable; urgency=medium

  * debian/tests: run tests over all supported python versions
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Tue, 02 Apr 2024 18:05:30 +0200

python-meshplex (0.17.1-2) unstable; urgency=medium

  * drop upper versioned dependency on python3-meshio.
    Tests pass fine with meshio 7.
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Jun 2022 22:54:39 +0200

python-meshplex (0.17.1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 03 Mar 2022 15:23:24 +0100

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,14 @@
  python3-wheel,
  python3-all,
  python3-matplotlib,
- python3-meshio (>= 4~), python3-meshio (<< 6),
+ python3-meshio (>= 4~),
  python3-meshzoo,
  python3-numpy (>= 1.20.0~),
  python3-npx,
  python3-pytest,
  python3-scipy,
  libjs-mathjax
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/nschloe/meshplex
 Vcs-Browser: https://salsa.debian.org/science-team/python-meshplex
 Vcs-Git: https://salsa.debian.org/science-team/python-meshplex.git

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=meshplex

PY3VER_DEFAULT=$(shell py3versions -d -v)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf src/meshplex.egg-info

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=.pybuild/cpython3_$(PY3VER_DEFAULT)_$(PYBUILD_NAME)/build sphinx-build -M html docs/ .pybuild/docs

override_dh_auto_test:
	MPLBACKEND=Agg  dh_auto_test -- --test-args="--ignore-glob=*test_io*"

=== debian/tests/control ===
Test-Command: for py in `py3versions -s`; do MPLBACKEND=Agg $py -m pytest; done
Depends: python3-meshplex,
 python3-all,
 python3-matplotlib,
 python3-meshzoo,
 python3-numpy,
 python3-pytest

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-meshplex-$1.tar.gz%" \
   https://github.com/nschloe/meshplex/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
